Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hr.tis.mgw.client.location
Class LocationManager2Impl

    java.lang.Object
      hr.tis.mgw.client.common.AbstractManager2
          hr.tis.mgw.client.location.LocationManager2
              hr.tis.mgw.client.location.LocationManager2Impl

public class LocationManager2Impl
extends LocationManager2

Implementation of `LocationManager2` that uses Axis SOAP library for communication with mGw Parlay X web services.

You have to specify Service URL to communicate with mGw Parlay X web services.

Specify username and password as default values when authenticating to mGw. If specified every method call that don't have username and password parameters will use them for authentication. If not specified exception will be thrown since authentication to mGw is required.

Constructor Summary
`LocationManager2Impl()`
`LocationManager2Impl(java.lang.String serviceURL)`
`LocationManager2Impl(java.lang.String serviceURL, java.lang.String username, java.lang.String password)`

Method Summary
`Location` | `getLocation(java.lang.String user, java.lang.String requester, Accuracy accuracy)` Get user location.
`Location` | `getLocation(java.lang.String user, java.lang.String requester, Accuracy accuracy, java.lang.String username, java.lang.String password)` Get user location.

Methods inherited from class hr.tis.mgw.client.common.AbstractManager2
`getPassword, getServerURL, getTimeout, getUsername, isThreadedListener, setPassword, setServerURL, setThreadedListener, setTimeout, setUsername`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocationManager2Impl

    public LocationManager2Impl()

### LocationManager2Impl

    public LocationManager2Impl(java.lang.String serviceURL)

### LocationManager2Impl

    public LocationManager2Impl(java.lang.String serviceURL,
                                java.lang.String username,
                                java.lang.String password)

Method Detail

### getLocation

    public Location getLocation(java.lang.String user,
                                java.lang.String requester,
                                Accuracy accuracy)
                         throws GatewayException

  Description copied from class: `LocationManager2`
  Get user location. Use default username and password for authentication.

  Specified by:
    `getLocation` in class `LocationManager2`
  Parameters:
    `user` - User account to be located
    `requester` - User account requesting location service
    `accuracy` - Location accuracy
  Returns:
    User location
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `Location`, `Accuracy`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### getLocation

    public Location getLocation(java.lang.String user,
                                java.lang.String requester,
                                Accuracy accuracy,
                                java.lang.String username,
                                java.lang.String password)
                         throws GatewayException

  Description copied from class: `LocationManager2`
  Get user location. Specify username and password for authentication.

  Specified by:
    `getLocation` in class `LocationManager2`
  Parameters:
    `user` - User account to be located
    `requester` - User account requesting location service
    `accuracy` - Location accuracy
    `username` - Authentication username
    `password` - Authentication password
  Returns:
    User location
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `Location`, `Accuracy`, `GatewayException`, `hr.tis.mgw.client.exceptions`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007, TIS.kis d.o.o. All Rights Reserved.